GlyphMappingTable.MappingRange (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.complexscripts.fonts

## Class GlyphMappingTable.MappingRange

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphMappingTable.MappingRange

- Enclosing class:
    GlyphMappingTable

      public static class GlyphMappingTable.MappingRange
      extends Object

  The `MappingRange` class encapsulates a glyph [start,end] range and a mapping index.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingRange()` Instantiate a mapping range.
    `MappingRange(int gidStart, int gidEnd, int index)` Instantiate a specific mapping range.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEnd()`
    `int` | `getIndex()`
    `int[]` | `getInterval()`
    `int[]` | `getInterval(int[] interval)` Obtain interval, filled into first two elements of specified array, or returning new array.
    `int` | `getLength()`
    `int` | `getStart()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingRange

          public MappingRange()

      Instantiate a mapping range.

    - #### MappingRange

          public MappingRange(int gidStart,
                              int gidEnd,
                              int index)

      Instantiate a specific mapping range.
      Parameters:
        `gidStart` - start of range
        `gidEnd` - end of range
        `index` - mapping index

  - ### Method Detail

    - #### getStart

          public int getStart()

      Returns:
        start of range

    - #### getEnd

          public int getEnd()

      Returns:
        end of range

    - #### getIndex

          public int getIndex()

      Returns:
        mapping index

    - #### getInterval

          public int[] getInterval()

      Returns:
        interval as a pair of integers

    - #### getInterval

          public int[] getInterval(int[] interval)

      Obtain interval, filled into first two elements of specified array, or returning new array.
      Parameters:
        `interval` - an array of length two or greater or null
      Returns:
        interval as a pair of integers, filled into specified array

    - #### getLength

          public int getLength()

      Returns:
        length of interval

Copyright © 2025 Apache Software Foundation. All rights reserved.